Commit 78d138bc authored by Steffen Möller's avatar Steffen Möller
Browse files

New upstream version 1.1.3

parent b52cde28
Loading
Loading
Loading
Loading

.gitignore

0 → 100644
+3 −0
Original line number Diff line number Diff line
configure
easel
hmmer
 No newline at end of file
+6 −6
Original line number Diff line number Diff line
Brief installation instructions 
Infernal 1.1.2; July 2016
Infernal 1.1.3; Nov 2019
-------------------------------------------------------------

These are quick installation instructions. For complete documentation,
including customization and troubleshooting, please see the
Installation chapter in the Infernal User's Guide (Userguide.pdf).

Starting from a source distribution, infernal-1.1.2.tar.gz:
 uncompress:                uncompress infernal-1.1.2.tar.gz  
 unpack:                    tar xf infernal-1.1.2.tar
 move into new directory:   cd infernal-1.1.2
Starting from a source distribution, infernal-1.1.3.tar.gz:
 uncompress:                uncompress infernal-1.1.3.tar.gz  
 unpack:                    tar xf infernal-1.1.3.tar
 move into new directory:   cd infernal-1.1.3
 configure:                 ./configure
 build:                     make
 automated tests:           make check
@@ -26,7 +26,7 @@ on most modern processors. Infernal requires either an x86-compatible
(IA32, IA64, or Intel64) processor that supports the SSE2 vector
instruction set, or a PowerPC processor that supports the Altivec/VMX
instruction set. If your platform does not support one of these vector
instruction sets, you wont be able to install and run Infernal 1.1 on
instruction sets, you won't be able to install and run Infernal 1.1 on
it.

-------------------------------------------------------------
+3 −4
Original line number Diff line number Diff line
Infernal - inference of RNA secondary structural alignments
@INFERNAL_COPYRIGHT@
Copyright (C) 1991-2016      Sean R. Eddy
Copyright (C) 2005-2016      Eric P. Nawrocki
Copyright (C) 1991-2019      Sean R. Eddy
Copyright (C) 2005-2019      Eric P. Nawrocki
Copyright (C) 2005-2011      Diana L. Kolbe
Copyright (C) 2004           Zasha Weinberg
Copyright (C) 1990           Don G.Gilbert
Copyright (C) 2000-2016      Howard Hughes Medical Institute
Copyright (C) 2000-2019      Howard Hughes Medical Institute
Copyright (C) 1995-2006      Washington University School of Medicine
Copyright (C) 1992-1995      MRC Laboratory of Molecular Biology
Copyright (C) 2004           University of Washington, Seattle
+2 −34
Original line number Diff line number Diff line
@@ -21,13 +21,8 @@ srcdir = @srcdir@
VPATH          = @srcdir@
SHELL          = /bin/sh

# location of easel
ESLDIR         = @INFERNAL_ESLDIR@

# location of hmmer
HMMERDIR       = @INFERNAL_HMMERDIR@

# location of suffix array library
SADIR          = @INFERNAL_SADIR@

# impl directory (currently only either 'impl_sse' or '')
@@ -58,7 +53,6 @@ man1ext = .1
CC        = @CC@
CFLAGS    = @CFLAGS@
LDFLAGS   = -static @LDFLAGS@
SIMDFLAGS = @SIMD_CFLAGS@
CPPFLAGS  = @CPPFLAGS@

# Other tools
@@ -131,46 +125,20 @@ tests:
# We do a 'check' in HMMERDIR/testsuite, not HMMERDIR/ because we
# don't need to run the Easel testsuite twice.
#

# Also, HMMER's 'make check' requires its own easel subdir complete
# with compiled miniapps. This may or may not exist. In working copies
# of the trunk it will exist but won't be compiled (infernal/hmmer/
# will use infernal/easel, not infernal/hmmer/easel). In a released
# version infernal/hmmer/easel won't even exist since we delete it
# prior to creating a release.  So, we take care to have the calling
# of hmmer's testsuite work in either case. If hmmer/easel/ exists we
# copy the required miniapps into it and run 'make check' from
# hmmer/testsuite then delete them. If it doesn't, we create a symlink
# to infernal/easel as infernal/hmmer/easel then we run the testsuite
# and then we delete the symlink. Also, if srcdir/hmmer/easel doesn't
# exist, we symlink it to srcdir/easel because the hmmer testsuite
# needs easel/formats/BLOSUM62 which will only be in srcdir/easel
# (yuck!).

check:
	@command -v python3 >/dev/null 2>&1 || { echo >&2 "python3 is required for 'make check', but is not in your PATH. Aborting."; exit 1; }
	${QUIET_SUBDIR0}${ESLDIR}              ${QUIET_SUBDIR1} tests
	${QUIET_SUBDIR0}${SADIR}               ${QUIET_SUBDIR1} all
	${QUIET_SUBDIR0}${HMMERDIR}            ${QUIET_SUBDIR1} tests
	${QUIET_SUBDIR0}src                    ${QUIET_SUBDIR1} tests
	${QUIET_SUBDIR0}${ESLDIR}              ${QUIET_SUBDIR1} check
	if   test -d ${HMMERDIR}/easel && ! test -e  ${HMMERDIR}/easel/miniapps/esl-afetch;   then cp ${ESLDIR}/miniapps/esl-afetch   ${HMMERDIR}/easel/miniapps; fi
	if   test -d ${HMMERDIR}/easel && ! test -e  ${HMMERDIR}/easel/miniapps/esl-reformat; then cp ${ESLDIR}/miniapps/esl-reformat ${HMMERDIR}/easel/miniapps; fi
	if   test -d ${HMMERDIR}/easel && ! test -e  ${HMMERDIR}/easel/miniapps/esl-sfetch;   then cp ${ESLDIR}/miniapps/esl-sfetch   ${HMMERDIR}/easel/miniapps; fi
	if   test -d ${HMMERDIR}/easel && ! test -e  ${HMMERDIR}/easel/miniapps/esl-sfetch;   then cp ${ESLDIR}/miniapps/esl-shuffle  ${HMMERDIR}/easel/miniapps; fi
	if ! test -d ${HMMERDIR}/easel; then cd ${HMMERDIR}; @LN_S@ ../${ESLDIR} .; cd ..; fi
	if ! test -d ${srcdir}/${HMMERDIR}/easel; then @LN_S@ ${srcdir}/${ESLDIR} ${srcdir}/${HMMERDIR}/easel; fi
	${QUIET_SUBDIR0}${HMMERDIR}/testsuite  ${QUIET_SUBDIR1} check
	if   test -L ${HMMERDIR}/easel; then rm ${HMMERDIR}/easel; fi
	if   test -L ${srcdir}/${HMMERDIR}/easel; then rm ${srcdir}/${HMMERDIR}/easel; fi
	if   test -e ${HMMERDIR}/easel/miniapps/esl-afetch;   then rm ${HMMERDIR}/easel/miniapps/esl-afetch;   fi
	if   test -e ${HMMERDIR}/easel/miniapps/esl-reformat; then rm ${HMMERDIR}/easel/miniapps/esl-reformat; fi
	if   test -e ${HMMERDIR}/easel/miniapps/esl-sfetch;   then rm ${HMMERDIR}/easel/miniapps/esl-sfetch;   fi
	if   test -e ${HMMERDIR}/easel/miniapps/esl-shuffle;  then rm ${HMMERDIR}/easel/miniapps/esl-shuffle;  fi
	${QUIET_SUBDIR0}testsuite              ${QUIET_SUBDIR1} check

# devcheck: Run Infernal developer test suite (slower, but more comprehensive than 'check').
#
devcheck:
	@command -v python3 >/dev/null 2>&1 || { echo >&2 "python3 is required for 'make devcheck', but is not in your PATH. Aborting."; exit 1; }
	${QUIET_SUBDIR0}testsuite  ${QUIET_SUBDIR1} devcheck

# pdf: compile the User Guides.
+2 −2
Original line number Diff line number Diff line
Infernal - inference of RNA secondary structure alignments
http://eddylab.org/infernal/

Version 1.1.2; July 2016
Copyright (C) 2016 Howard Hughes Medical Institute.
Version 1.1.3; Nov 2019
Copyright (C) 2019 Howard Hughes Medical Institute.
------------------------------------------------------------------

Infernal is an implementation of covariance models (CMs), which are
Loading